Update one plan segment
patch
/fscmRestApi/resources/11.13.18.05/planOptions/{PlanId}/child/PlanSegments/{PlanSegmentsUniqID}
Request
Path Parameters
-
PlanId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
PlanSegmentsUniqID(required): string
This is the hash key of the attributes which make up the composite key--- PlanId and SegmentId ---for the Plan Segments resource and used to uniquely identify an instance of Plan Segments. The client should not generate the hash key value. Instead, the client should query on the Plan Segments collection resource with a filter on the primary key values in order to navigate to a specific instance of Plan Segments.
For example: PlanSegments?q=PlanId=<value1>;SegmentId=<value2>
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
FulfillmentLeadTime: number
Time used in the calculation of safety stock for the inventory optimization plan.
-
InventoryBudget: number
Plan-level financial target for inventory costs. It's typically used as a benchmark to compare against the actual costs achieved. This comparison helps assess whether the plan's outcomes are within acceptable financial limits, guiding decisions on whether the plan is acceptable or needs adjustment
-
PlanId: integer
(int64)
Value that uniquely identifies the plan.
-
SegmentId: integer
(int64)
Value that uniquely identifies the segment.
-
ServiceLevelPercentage: number
Used to set the desired level of customer service in satisfying product demand. This represents the probability that an order can be filled from available inventory.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : planOptions-PlanSegments-item-response
Type:
Show Source
object-
CreatedBy: string
Read Only:
trueMaximum Length:64Name of the user who created the plan. -
CreationDate: string
(date-time)
Read Only:
trueDate when the plan was originally created. -
FulfillmentLeadTime: number
Time used in the calculation of safety stock for the inventory optimization plan.
-
InventoryBudget: number
Plan-level financial target for inventory costs. It's typically used as a benchmark to compare against the actual costs achieved. This comparison helps assess whether the plan's outcomes are within acceptable financial limits, guiding decisions on whether the plan is acceptable or needs adjustment
-
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the user most recently updated the plan. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who performed the most recent update on the plan. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Last time the user logged into the system. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Read Only:
truePlan version number. -
PlanId: integer
(int64)
Value that uniquely identifies the plan.
-
SegmentDescription: string
Read Only:
trueMaximum Length:255Subset of items within the plan, grouped together based on a shared characteristic, such as cost. This classification helps in refining inventory management by allowing the plan options to focus on specific item groups with similar attributes. -
SegmentId: integer
(int64)
Value that uniquely identifies the segment.
-
SegmentName: string
Read Only:
trueMaximum Length:255Name of the plan segment. -
ServiceLevelPercentage: number
Used to set the desired level of customer service in satisfying product demand. This represents the probability that an order can be filled from available inventory.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.